Ipelib

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ipe::CanvasObserver Class Reference

`#include <ipecanvas.h>`

## Public Member Functions

virtual void | canvasObserverWheelMoved (int degrees)
virtual void | canvasObserverMouseAction (int button)
virtual void | canvasObserverPositionChanged ()
virtual void | canvasObserverToolChanged (bool hasTool)
virtual void | canvasObserverSizeChanged ()

## Member Function Documentation

void CanvasObserver::canvasObserverWheelMoved | ( | int | degrees | ) |

virtual

void CanvasObserver::canvasObserverMouseAction | ( | int | button | ) |

virtual

void CanvasObserver::canvasObserverPositionChanged | ( |  | ) |

virtual

void CanvasObserver::canvasObserverToolChanged | ( | bool | hasTool | ) |

virtual

void CanvasObserver::canvasObserverSizeChanged | ( |  | ) |

virtual

The documentation for this class was generated from the following files:

- ipecanvas.h
- ipecanvas.cpp